<!DOCTYPE html>
<html lang="en">
  <head>
    <title>MMSdk Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
    <script src="../js/lunr.min.js" defer></script>
    <script src="../js/typeahead.jquery.js" defer></script>
    <script src="../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Class/MMSdk" class="dashAnchor"></a>
    <a title="MMSdk Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">madme_ios_sdk 6.2.1 Docs</a></p>
        <div class="header-right">
          <form role="search" action="../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">madme_ios_sdk Reference</a>
        <img id="carat" src="../img/carat.png" alt=""/>
        MMSdk Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/AES.html">AES</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/AES/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/AES/Variant.html">– Variant</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/AES/Encryptor.html">– Encryptor</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMAdPresentationError.html">MMAdPresentationError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMCampaign.html">MMCampaign</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMError.html">MMError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMGenericUserAccountStatusChangeContext.html">MMGenericUserAccountStatusChangeContext</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMHomeScreenOption.html">MMHomeScreenOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMNotificationProcessingError.html">MMNotificationProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMPrivateInitObject.html">MMPrivateInitObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMSdk.html">MMSdk</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMUrlProcessingError.html">MMUrlProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MMUrlSessionEventsProcessingError.html">MMUrlSessionEventsProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes.html#/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext">MMViewedNoSurveyNoRatingCampaignContext</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/BlockMode.html">BlockMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/CipherError.html">CipherError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMAdPresentationMode.html">MMAdPresentationMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMAdPresentationResultState.html">MMAdPresentationResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMAggregateQualifier.html">MMAggregateQualifier</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMHomeScreenOptionType.html">MMHomeScreenOptionType</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMNotificationProcessingResultState.html">MMNotificationProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMUrlProcessingResultState.html">MMUrlProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMUrlSessionEventsProcessingResultState.html">MMUrlSessionEventsProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/MMUserAccountStatus.html">MMUserAccountStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums.html#/PKCS7">PKCS7</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/Padding.html">Padding</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/Array.html">Array</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/MMCarouselCollectionViewController">MMCarouselCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/MMGeoFencingCampaignDetailsViewController">MMGeoFencingCampaignDetailsViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/MMPlist">MMPlist</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/NSNotification.html">NSNotification</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Notification.html">Notification</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Notification/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/SecureBytes">SecureBytes</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/UIControl">UIControl</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UINavigationController.html">UINavigationController</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/Cipher.html">Cipher</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/Cryptors.html">Cryptors</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMAdPresentationResultProtocol.html">MMAdPresentationResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProtocol">MMCampaignContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProviderProtocol">MMCampaignContextProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMClientIdentityProviderProtocol.html">MMClientIdentityProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMNotificationProcessingResultProtocol.html">MMNotificationProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMSdkDelegateProtocol">MMSdkDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMUrlProcessingResultProtocol.html">MMUrlProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMUrlSessionEventsProcessingResultProtocol.html">MMUrlSessionEventsProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MMUserAccountStatusDelegateProtocol.html">MMUserAccountStatusDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/PaddingProtocol.html">PaddingProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/Updatable.html">Updatable</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/Digest.html">Digest</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:13madme_ios_sdk12MMIdentifiera">MMIdentifier</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>MMSdk</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMSdk</span> <span class="p">:</span> <span class="kt"><a href="../Classes/MMPrivateInitObject.html">MMPrivateInitObject</a></span></code></pre>

                </div>
              </div>
            <p>mAdme SDK wrapper. Not meant to be instantiated by apps. Please use the sharedInstance singleton instead.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(cpy)sharedInstance"></a>
                    <a name="//apple_ref/swift/Variable/sharedInstance" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(cpy)sharedInstance">sharedInstance</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The mAdme SDK singleton.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">static</span> <span class="k">let</span> <span class="nv">sharedInstance</span><span class="p">:</span> <span class="kt">MMSdk</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Version"></a>
                <a name="//apple_ref/swift/Section/Version" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Version"></a>
                  <h3 class="section-name"><span>Version</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(py)version"></a>
                    <a name="//apple_ref/swift/Property/version" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(py)version">version</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The version of the mAdme SDK.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="k">let</span> <span class="nv">version</span><span class="p">:</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Delegate."></a>
                <a name="//apple_ref/swift/Section/Delegate." class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Delegate."></a>
                  <h3 class="section-name"><span>Delegate.</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(py)delegate"></a>
                    <a name="//apple_ref/swift/Property/delegate" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(py)delegate">delegate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>References the mAdme SDK delegate, which is mandatory.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="k">weak</span> <span class="k">var</span> <span class="nv">delegate</span><span class="p">:</span> <span class="kt"><a href="../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMSdkDelegateProtocol">MMSdkDelegateProtocol</a></span><span class="o">!</span> <span class="p">{</span> <span class="k">get</span> <span class="k">set</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Ads"></a>
                <a name="//apple_ref/swift/Section/Ads" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Ads"></a>
                  <h3 class="section-name"><span>Ads</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)presentAdWithTags:tagsAggregateQualifier:adPresentationMode:oParentViewController:oResultClosure:"></a>
                    <a name="//apple_ref/swift/Method/presentAd(tags:tagsAggregateQualifier:adPresentationMode:oParentViewController:oResultClosure:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)presentAdWithTags:tagsAggregateQualifier:adPresentationMode:oParentViewController:oResultClosure:">presentAd(tags:<wbr>tagsAggregateQualifier:<wbr>adPresentationMode:<wbr>oParentViewController:<wbr>oResultClosure:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Presents a mAdme ad.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">presentAd</span><span class="p">(</span>
    <span class="nv">tags</span><span class="p">:</span> <span class="kt">Set</span><span class="o">&lt;</span><span class="kt">String</span><span class="o">&gt;</span> <span class="o">=</span> <span class="kt">Set</span><span class="o">&lt;</span><span class="kt">String</span><span class="o">&gt;</span><span class="p">(),</span> <span class="nv">tagsAggregateQualifier</span><span class="p">:</span> <span class="kt"><a href="../Enums/MMAggregateQualifier.html">MMAggregateQualifier</a></span> <span class="o">=</span> <span class="o">.</span><span class="n">any</span><span class="p">,</span>
    <span class="nv">adPresentationMode</span><span class="p">:</span> <span class="kt"><a href="../Enums/MMAdPresentationMode.html">MMAdPresentationMode</a></span> <span class="o">=</span> <span class="o">.</span><span class="n">direct</span><span class="p">,</span>
    <span class="nv">oParentViewController</span><span class="p">:</span> <span class="kt">UIViewController</span><span class="p">?</span> <span class="o">=</span> <span class="kc">nil</span><span class="p">,</span>
    <span class="nv">oResultClosure</span><span class="p">:</span> <span class="p">((</span><span class="n">_</span> <span class="nv">adPresentationResult</span><span class="p">:</span> <span class="kt"><a href="../Protocols/MMAdPresentationResultProtocol.html">MMAdPresentationResultProtocol</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span><span class="p">)?</span> <span class="o">=</span> <span class="kc">nil</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>tags</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>A set of tags to be matched.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>tagsAggregateQualifier</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Instructs the mAdme SDK to present an ad that matched either all or any tags.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>adPresentationMode</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Instructs the mAdme SDK to present an ad either directly, or through a notification.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>oParentViewController</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>If provided, the mAdme SDK will use it to present the ad.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>oResultClosure</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>If provided, the mAdme SDK will use it to report the result of the presentation. For example, if no ad is available, the result will have an adNotPresented state and an noAdAvailable error oValue. If a video ad is viewed the result will have an adViewed state. Or, if a survey is submitted the result will have an adViewedAndTapped state. Note that when multiple notifications are scheduled oResultClosure will be called for each one of them.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Notifications"></a>
                <a name="//apple_ref/swift/Section/Notifications" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Notifications"></a>
                  <h3 class="section-name"><span>Notifications</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)processWithNotificationPayload:oActionIdentifier:oResultClosure:"></a>
                    <a name="//apple_ref/swift/Method/process(notificationPayload:oActionIdentifier:oResultClosure:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)processWithNotificationPayload:oActionIdentifier:oResultClosure:">process(notificationPayload:<wbr>oActionIdentifier:<wbr>oResultClosure:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Processes a mAdme notification payload.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">process</span><span class="p">(</span>
    <span class="nv">notificationPayload</span><span class="p">:</span> <span class="p">[</span><span class="kt">AnyHashable</span><span class="p">:</span> <span class="kt">Any</span><span class="p">],</span> <span class="nv">oActionIdentifier</span><span class="p">:</span> <span class="kt">String</span><span class="p">?</span> <span class="o">=</span> <span class="kc">nil</span><span class="p">,</span>
    <span class="nv">oResultClosure</span><span class="p">:</span> <span class="p">(</span>
  <span class="p">(</span><span class="n">_</span> <span class="nv">notificationProcessingResult</span><span class="p">:</span> <span class="kt"><a href="../Protocols/MMNotificationProcessingResultProtocol.html">MMNotificationProcessingResultProtocol</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span>
    <span class="p">)?</span> <span class="o">=</span> <span class="kc">nil</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>notificationPayload</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Must be set to a local or remote notification userInfo.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>oActionIdentifier</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>If provided, must be set to the notification&rsquo;s actionIdentifier.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>oResultClosure</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>If provided, the mAdme SDK will use it to report
the result of the notification processing. For example, if notificationPayload
does not correspond to a mAdme notification, the result will have an notificationNotProcessed
state and an unsupportedNotification error oValue.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)configureRemoteNotificationsWith:"></a>
                    <a name="//apple_ref/swift/Method/configureRemoteNotifications(with:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)configureRemoteNotificationsWith:">configureRemoteNotifications(with:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Configures the mAdme SDK for the processing of remote notifications. Use this API when the client application is in charge of retrieving the remote-notifications registration token. Please make sure that the remote notifications channel is set in the build-time configuration file to e.g., &ldquo;FCM&rdquo; or &ldquo;APNs&rdquo;, etc.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">configureRemoteNotifications</span><span class="p">(</span>
    <span class="n">with</span> <span class="nv">remoteNotificationsRegistrationToken</span><span class="p">:</span> <span class="kt">String</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Urls"></a>
                <a name="//apple_ref/swift/Section/Urls" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Urls"></a>
                  <h3 class="section-name"><span>Urls</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)processWithUrl:oResultClosure:"></a>
                    <a name="//apple_ref/swift/Method/process(url:oResultClosure:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)processWithUrl:oResultClosure:">process(url:<wbr>oResultClosure:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Processes a mAdme url.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">process</span><span class="p">(</span>
    <span class="nv">url</span><span class="p">:</span> <span class="kt">URL</span><span class="p">,</span>
    <span class="nv">oResultClosure</span><span class="p">:</span> <span class="p">((</span><span class="n">_</span> <span class="nv">urlProcessingResult</span><span class="p">:</span> <span class="kt"><a href="../Protocols/MMUrlProcessingResultProtocol.html">MMUrlProcessingResultProtocol</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span><span class="p">)?</span> <span class="o">=</span> <span class="kc">nil</span>
<span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Bool</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>url</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The url to process.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>oResultClosure</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>If provided, the mAdme SDK will use it to report
the result of the url processing. For example, if the url does not correspond
to a mAdme url, the result will have an urlNotProcessed state and an oValue
set to unsupportedUrl error.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>True if the input url can be processed by the mAdme SDK. False otherwise.
Note that although redundant, the return value here allows caller applications
to return from &ldquo;openURL&rdquo; UIApplicationDelegate calls without having to block
waiting for oResultClosure to be called.</p>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Events"></a>
                <a name="//apple_ref/swift/Section/Events" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Events"></a>
                  <h3 class="section-name"><span>Events</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)handleEventsForBackgroundURLSessionWithIdentifier:resultClosure:"></a>
                    <a name="//apple_ref/swift/Method/handleEventsForBackgroundURLSession(identifier:resultClosure:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)handleEventsForBackgroundURLSessionWithIdentifier:resultClosure:">handleEventsForBackgroundURLSession(identifier:<wbr>resultClosure:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Ensures that download events are processed correctly. The application MUST call this
each time its delegate receives an application:handleEventsForBackgroundURLSession:completionHandler: call.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">handleEventsForBackgroundURLSession</span><span class="p">(</span>
    <span class="nv">identifier</span><span class="p">:</span> <span class="kt">String</span><span class="p">,</span>
    <span class="nv">resultClosure</span><span class="p">:</span> <span class="kd">@escaping</span> <span class="p">(</span>
  <span class="n">_</span> <span class="nv">urlSessionEventsProcessingResult</span><span class="p">:</span> <span class="kt"><a href="../Protocols/MMUrlSessionEventsProcessingResultProtocol.html">MMUrlSessionEventsProcessingResultProtocol</a></span>
    <span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>identifier</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Identifier of the mAdme background download session.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>resultClosure</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Closure to be called once the events have been
processed. For example, if the session identifier is not a mAdme session
identifier, the result will have an eventsNotProcessed state and an oValue
set to unsupportedUrlSessionIdentifier error.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Perform%20Fetch"></a>
                <a name="//apple_ref/swift/Section/Perform Fetch" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Perform%20Fetch"></a>
                  <h3 class="section-name"><span>Perform Fetch</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)application:performFetchWithCompletionHandler:"></a>
                    <a name="//apple_ref/swift/Method/application(_:performFetchWithCompletionHandler:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)application:performFetchWithCompletionHandler:">application(_:<wbr>performFetchWithCompletionHandler:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Allows the mAdme SDK to perform background tasks. The application MUST call this each time its delegate receives an application:performFetchWithCompletionHandler:.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">application</span><span class="p">(</span>
    <span class="n">_</span> <span class="nv">application</span><span class="p">:</span> <span class="kt">UIApplication</span><span class="p">,</span>
    <span class="n">performFetchWithCompletionHandler</span> <span class="nv">completionHandler</span><span class="p">:</span> <span class="kd">@escaping</span> <span class="p">(</span><span class="kt">UIBackgroundFetchResult</span><span class="p">)</span> <span class="o">-&gt;</span>
  <span class="kt">Void</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>application</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Calling application that embeds the mAdme SDK.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>performFetchWithCompletionHandler</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Closure that will be executed on completion of the tasks.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/UI"></a>
                <a name="//apple_ref/swift/Section/UI" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/UI"></a>
                  <h3 class="section-name"><span>UI</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Method/homeScreenViewController(options:)" class="dashAnchor"></a>
                    <a class="token" href="#/">homeScreenViewController(options:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)configureButton:withUIAttributesId:"></a>
                    <a name="//apple_ref/swift/Method/configure(button:withUIAttributesId:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)configureButton:withUIAttributesId:">configure(button:<wbr>withUIAttributesId:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Configures UI attributes of the input button.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span><span class="p">(</span><span class="nv">configureButton</span><span class="p">:</span><span class="nv">withUIAttributesId</span><span class="p">:)</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">configure</span><span class="p">(</span><span class="nv">button</span><span class="p">:</span> <span class="kt">UIButton</span><span class="p">,</span> <span class="n">withUIAttributesId</span> <span class="nv">id</span><span class="p">:</span> <span class="kt">String</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>button</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Button to be configured.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>withUIAttributesId</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Id of the MMConfiguration UIAttributes entry.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)configureTextField:withUIAttributesId:"></a>
                    <a name="//apple_ref/swift/Method/configure(textField:withUIAttributesId:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk(im)configureTextField:withUIAttributesId:">configure(textField:<wbr>withUIAttributesId:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Configures UI attributes of the input textField.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span><span class="p">(</span><span class="nv">configureTextField</span><span class="p">:</span><span class="nv">withUIAttributesId</span><span class="p">:)</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">configure</span><span class="p">(</span><span class="nv">textField</span><span class="p">:</span> <span class="kt">UITextField</span><span class="p">,</span> <span class="n">withUIAttributesId</span> <span class="nv">id</span><span class="p">:</span> <span class="kt">String</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>textField</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>TextField to be configured.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>withUIAttributesId</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Id of the MMConfiguration UIAttributes entry.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/User%20Account%20Status"></a>
                <a name="//apple_ref/swift/Section/User Account Status" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/User%20Account%20Status"></a>
                  <h3 class="section-name"><span>User Account Status</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(im)getUserAccountStatusWithClosure:"></a>
                    <a name="//apple_ref/swift/Method/getUserAccountStatus(closure:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(im)getUserAccountStatusWithClosure:">getUserAccountStatus(closure:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieves the current user account status.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">getUserAccountStatus</span><span class="p">(</span>
    <span class="nv">closure</span><span class="p">:</span> <span class="kd">@escaping</span> <span class="p">(</span><span class="n">_</span> <span class="nv">userAccountStatus</span><span class="p">:</span> <span class="kt"><a href="../Enums/MMUserAccountStatus.html">MMUserAccountStatus</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>closure</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Closure on which the current user account status is reported.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(im)changeUserAccountStatusTo:changeContext:closure:"></a>
                    <a name="//apple_ref/swift/Method/changeUserAccountStatus(to:changeContext:closure:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(im)changeUserAccountStatusTo:changeContext:closure:">changeUserAccountStatus(to:<wbr>changeContext:<wbr>closure:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Attempts to re-set the user account status.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">func</span> <span class="nf">changeUserAccountStatus</span><span class="p">(</span>
    <span class="n">to</span> <span class="nv">userAccountStatus</span><span class="p">:</span> <span class="kt"><a href="../Enums/MMUserAccountStatus.html">MMUserAccountStatus</a></span><span class="p">,</span>
    <span class="nv">changeContext</span><span class="p">:</span> <span class="kt"><a href="../Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a></span><span class="p">,</span>
    <span class="nv">closure</span><span class="p">:</span> <span class="kd">@escaping</span> <span class="p">(</span><span class="n">_</span> <span class="nv">userAccountStatus</span><span class="p">:</span> <span class="kt"><a href="../Enums/MMUserAccountStatus.html">MMUserAccountStatus</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span>
<span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>to</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The target user account status.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>changeContext</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The context in which the account status change takes place.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>closure</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Closure on which the resulting user account status is reported.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMAggregateQualifier"></a>
                <a name="//apple_ref/swift/Section/MMAggregateQualifier" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMAggregateQualifier"></a>
                  <h3 class="section-name"><span>MMAggregateQualifier</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(py)managesStatusBarStyle"></a>
                    <a name="//apple_ref/swift/Property/managesStatusBarStyle" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(py)managesStatusBarStyle">managesStatusBarStyle</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Returns true if configured through MMConfiguration.plist to manage the style of the status bar. False otherwise.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="k">var</span> <span class="nv">managesStatusBarStyle</span><span class="p">:</span> <span class="kt">Bool</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(py)configurationStatusBarStyle"></a>
                    <a name="//apple_ref/swift/Property/configurationStatusBarStyle" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(py)configurationStatusBarStyle">configurationStatusBarStyle</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Returns the status bar style as configured through MMConfiguration.plist. Defaults to <code>default</code> if not configured.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="k">var</span> <span class="nv">configurationStatusBarStyle</span><span class="p">:</span> <span class="kt">UIStatusBarStyle</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cpy)CampaignsKey"></a>
                    <a name="//apple_ref/swift/Variable/CampaignsKey" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cpy)CampaignsKey">CampaignsKey</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Use this key to retrieve the set of campaigns from a Campaigns notification.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">static</span> <span class="k">let</span> <span class="nv">CampaignsKey</span><span class="p">:</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cm)configureBackgroundRefresh"></a>
                    <a name="//apple_ref/swift/Method/configureBackgroundRefresh()" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cm)configureBackgroundRefresh">configureBackgroundRefresh()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Call once to configure mAdme for the processing of background refresh tasks.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@available</span><span class="p">(</span><span class="n">iOS</span> <span class="mf">13.0</span><span class="p">,</span> <span class="o">*</span><span class="p">)</span>
<span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="nf">configureBackgroundRefresh</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cm)configureBackgroundProcessing"></a>
                    <a name="//apple_ref/swift/Method/configureBackgroundProcessing()" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cm)configureBackgroundProcessing">configureBackgroundProcessing()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Call once to configure mAdme for the processing of background processing tasks.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@available</span><span class="p">(</span><span class="n">iOS</span> <span class="mf">13.0</span><span class="p">,</span> <span class="o">*</span><span class="p">)</span>
<span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="nf">configureBackgroundProcessing</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cm)configureNotificationCategories"></a>
                    <a name="//apple_ref/swift/Method/configureNotificationCategories()" class="dashAnchor"></a>
                    <a class="token" href="#/c:@CM@madme_ios_sdk@objc(cs)MMSdk(cm)configureNotificationCategories">configureNotificationCategories()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Call once to configure mAdme notification categories.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="nf">configureNotificationCategories</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2022 <a class="link" href="http://www.mad-me.com" target="_blank" rel="external noopener">mAdme</a>. All rights reserved. (Last updated: 2022-07-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
